{% extends 'base.html' %} 

<!-- {% if is_user_registered == False %}
	<h1>Duplicate User Found!</h1>
	<p>A duplicate user has been found, user creation unsuccessful.</p>
{% else %}
	<h1>User Successfully Created!</h1>
	<p>The account for {{firstname}} {{lastname}} has been successfully created.</p>
{% endif %} -->

{% block title %}
	Register
{% endblock %}

{% block content %}

{% if user.is_anonymous == True %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Register</h1>

				  <form action="{% url 'todolist:register' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="username">Username: </label>
					    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="20" required>
					    {% if username_taken %}
					    	<p class="text-danger">Username taken.</p>
					    {% endif %}
					</div>

					<div class="mb-3">
					    <label for="first_name">First Name: </label>
					    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="last_name">Last Name: </label>
					    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="email">Email: </label>
					    <input class="form-control" id="email" type="email" name="email" value="{{ email }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="password">Password: </label>
					    <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="confirm_password">Confirm Password: </label>
					    <input class="form-control" id="confirm_password" type="password" name="confirm_password" value="{{ confirm_password }}" maxlength="20" required>
					    {% if passwords_mismatch %}
					    	<p class="text-danger">Passwords do not match.</p>
					    {% endif %}
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Register">
					</div>

				  </form>
			</div>
		</div>
	</div>

{% else %}
    <h1 class="text-center mt-3">You are currently Logged In as "{{ user.first_name }} {{user.last_name}}".</h1>
    <p class="text-center"><a href="{% url 'todolist:logout' %}">Logout</a> first to register another account.</p>
{% endif %}

{% endblock %}

